Subject: Re: [Bitcoin-development] Proposal: allocate 8 service bits for experimental use

From: Wladimir <[email-masked]>
Date: Wed, 18 Jun 2014 08:20:26 +0200

On Tue, Jun 17, 2014 at 11:29 PM, Jeff Garzik <[email-masked]> wrote:
> I wrote a patch for string-based name extensions, circa 2011-2012.  I
> agree that is preferable to unreadable bits, for reasons you cite.
>
> However, it was noted that extensions (or UUIDs etc.) would not be
> propagated around the network in "addr" messages, as service bits are.

Thanks for letting me know, I didn't remember your patch.

Ugh, yes, propagating all extensions in `addr` messages is not how I
imagined this to work.

But then there would need to be an alternative way to discover nodes
that offer a certain extension. Alas, this moves it from a
straightforward and common sense change to a significant change to the
protocol.

Wladimir